Get Email Comments
GET
/api/v1/workspaces/{workspace_id}/emails/{email_id}/email_comments
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/email_comments?locale=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/email_comments?locale=example' \ --header 'Authorization: Bearer <token>'Retrieves the email comments.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
email_id
required
integer
Email ID
Query Parameters
Section titled “Query Parameters”locale
required
string
Locale
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
email_id
required
integer
ai_review_id
required
integer
locale
required
string
author_type
string
author
required
parent_id
required
integer
pin_data
required
object
id
required
string
component_instance_id
string
branch_key
string
coordinates
required
object
center_offset_x_px
required
The horizontal offset of the pin from the center of the component, in pixels.
number
y
required
The vertical position of the pin, as a percentage (0–1) from the top of the component.
number
body
required
string
resolved
required
boolean
resolver_id
required
integer
resolver
required
created_at
required
string format: date-time
Example
{ "results": [ { "id": 12345, "email_id": 12345, "ai_review_id": 54321, "locale": "ar-SA", "author_type": "User", "author": { "type": "User", "id": 12345, "first_name": "John", "last_name": "Smith", "profile_image_url": "https://example.com/profile.jpg" }, "parent_id": 12345, "pin_data": { "id": "12345", "component_instance_id": "12345", "branch_key": "a_branch_key", "coordinates": { "center_offset_x_px": 0.5, "y": 0.5 } }, "body": "This is a comment", "resolved": false, "resolver_id": 12345, "resolver": { "type": "User", "id": 12345, "first_name": "John", "last_name": "Smith", "profile_image_url": "https://example.com/profile.jpg" }, "created_at": "2023-08-23T10:30:00.000Z" } ]}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}